FcConfigAppFontAddDir(3) |  | FcConfigAppFontAddDir(3)

# NAME

FcConfigAppFontAddDir - Add fonts from directory to font database

# SYNOPSIS

#include <fontconfig.h>
FcBool FcConfigAppFontAddDir(FcConfig *config);
(const FcChar8 *dir);
.fi

# DESCRIPTION

Scans the specified directory for fonts, adding each one found to the application-specific set of fonts. Returns FcFalse if the fonts cannot be added (due to allocation failure). Otherwise returns FcTrue. If config is NULL, the current configuration is used.

# VERSION

Fontconfig version 2.8.0

18 November 2009 |